# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class MediaContent

    java.lang.Object
      com.google.gdata.data.Content
          com.google.gdata.data.OutOfLineContent
              com.google.gdata.data.MediaContent

All Implemented Interfaces:
  IContent, IOutOfLineContent, IMediaContent

    public class MediaContent

extends OutOfLineContent
implements IMediaContent

The MediaContent class extends `OutOfLineContent` to add `MediaSource` handling for the content. This class is used in contexts where a client or provider wants to provide access to the actual media data via a MediaSource (instead of an href).

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.OutOfLineContent
`OutOfLineContent.AtomHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.Content
`Content.ChildHandlerInfo`

Nested classes/interfaces inherited from interface com.google.gdata.data.IContent
`IContent.Type`

Field Summary
`protected MediaSource` `mediaSource` MediaSource associated with the external content.

Fields inherited from class com.google.gdata.data.OutOfLineContent
`etag, lang, length, mimeType, uri`

Constructor Summary
`MediaContent()`

Method Summary
`static Content.ChildHandlerInfo` `getChildHandler(ExtensionProfile extProfile, org.xml.sax.Attributes attrs)`
`MediaSource` `getMediaSource()` Returns the media source associated with the content or `null`.
`void` `setMediaSource(MediaSource v)` Sets the media source associated with the content (may be `null` if no supplied content.

Methods inherited from class com.google.gdata.data.OutOfLineContent
`generateAtom, generateRss, getEtag, getLang, getLength, getMimeType, getType, getUri, setEtag, setLang, setLength, setMimeType, setUri`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.IOutOfLineContent
`getEtag, getMimeType, getUri`

Methods inherited from interface com.google.gdata.data.IContent
`getLang, getType`

Field Detail

### mediaSource

    protected MediaSource mediaSource

  MediaSource associated with the external content.

Constructor Detail

### MediaContent

    public MediaContent()

Method Detail

### getMediaSource

    public MediaSource getMediaSource()

  Returns the media source associated with the content or `null`.

  Specified by:
    `getMediaSource` in interface `IMediaContent`

### setMediaSource

    public void setMediaSource(MediaSource v)

  Sets the media source associated with the content (may be `null` if no supplied content.

  Specified by:
    `setMediaSource` in interface `IMediaContent`

### getChildHandler

    public static Content.ChildHandlerInfo getChildHandler(ExtensionProfile extProfile,
                                                           org.xml.sax.Attributes attrs)
                                                    throws ParseException,
                                                           java.io.IOException

  Throws:
    `ParseException`
    `java.io.IOException`